#!/usr/bin/perl -w

use lib '/usr/sausalito/perl';
use CCE;

my $cce = new CCE;
$cce->connectfd();

my $tunnel = $cce->event_object();
my $error="";


if($tunnel->{"enabled"}){
	system("echo 'ipsec auto --up $tunnel->{name}' >> /tmp/ipsec_commands");
	if($?){
		$error = "[[base-ipsec.upFailed]]";
	}
}else{
	system("echo 'ipsec auto --down $tunnel->{name}' >> /tmp/ipsec_commands");
	if($?){
		$error = "[[base-ipsec.downFailed]]";
	}
}

if($error){
	$cce->warn($error);
	$cce->bye('FAIL');
	exit(1);
}

$cce->bye('SUCCESS');
exit(0);

